package com.neusoft.smart.pos.inventory.service;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryStoreInout;
import com.neusoft.smart.pos.inventory.repository.InventoryStoreInoutRepository;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class InventoryStoreInoutService {
    
    @Resource
    public InventoryStoreInoutRepository inventoryStoreInoutRepository;
    
    public InventoryStoreInout insertInventoryInout(InventoryStoreInout inventoryStoreInout) {
        inventoryStoreInoutRepository.insertSelective(inventoryStoreInout);
        return inventoryStoreInout;
    }
    
    public List<InventoryStoreInout> selectSaleRecordByUniqId(InventoryStoreInout inventoryStoreInout) {
        return inventoryStoreInoutRepository.selectSaleRecordByUniqId(inventoryStoreInout);
    }
}
